%define Werror_cflags %nil

Summary:	A mail filtering software
Name:		jchkmail
Version:	2.2.1
Release:	%mkrel 13
Source0:	%{name}-%{version}.tgz
Patch0:		jchkmail-2.2.1-automake-1.13.patch
Patch1:		jchkmail-2.2.1-system-pcre.patch
Patch2:		jchkmail-2.2.1-system-bdb.patch
License:	GPL
Group:		System/Servers
Url:		http://www.j-chkmail.org/
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	libmilter-devel
BuildRequires:	sendmail
BuildRequires:	db5-devel
BuildRequires:	pcre-devel
Requires:	db53-utils

%description
j-chkmail is a mail filtering software using sendmail milter API. j-chkmail is
compatible with UNIX based mailservers running sendmail or postfix.

The goal of j-chkmail is to be able to filter as much messages as possible, as
fast as possible and as well as possible. Originally, it's intended to be use
in large and heterogeneous communities such as university campus, but not only.

%prep
%setup -q
%autopatch -p1

# don't try action needing to be root
perl -pi -e 's:@(chown|chgrp):/bin/true:' \
    Makefile.am etc/Makefile.am \
    Makefile.in etc/Makefile.in

# use system libs
rm -rf pcre* db-*

%build
autoreconf -vfi
%configure \
  --with-work-dir=%{_var}/lib/%{name} \
  --with-jgreyd-dir={%_var}/lib/%{name}/jgreyd \
  --with-user=%{name} \
  --with-group=%{name}

%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/init.d

%make_install

%pre
%_pre_useradd %{name} %{_var}/lib/%{name} /bin/false

%postun
%_postun_userdel %{name}

%files
%doc README*
%config(noreplace) %{_sysconfdir}/mail/%{name}
%{_bindir}/*
%{_sbindir}/*
%{_sysconfdir}/init.d/*
%attr(-,jchkmail,jchkmail) %config(noreplace) %{_var}/lib/%{name}
%{_mandir}/*/*


%changelog
* Mon Dec 07 2020 tv <tv> 2.2.1-13.mga8
+ Revision: 1654256
- Build with db5.3 rather than with obsolete 4.8

* Thu Feb 13 2020 umeabot <umeabot> 2.2.1-12.mga8
+ Revision: 1513678
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-11.mga7
+ Revision: 1298366
- Mageia 7 Mass Rebuild

* Fri Jun 22 2018 wally <wally> 2.2.1-10.mga7
+ Revision: 1238877
- build with system pcre and db4.8

* Mon Feb 15 2016 umeabot <umeabot> 2.2.1-9.mga6
+ Revision: 960749
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-8.mga5
+ Revision: 748728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-7.mga5
+ Revision: 680747
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2.1-6.mga4
+ Revision: 521034
- Mageia 4 Mass Rebuild

* Tue Jan 15 2013 sander85 <sander85> 2.2.1-5.mga3
+ Revision: 388381
- Fix build with automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ nanardon <nanardon>
- fix pre/post

* Sun Jun 26 2011 nanardon <nanardon> 2.2.1-3.mga2
+ Revision: 114185
- imported package jchkmail

